Skip to content
StraventaDocs
Now in Sandbox.

Get intent for public checkout

GET
/v1/public/payments/intents/{shortcode}

Get intent for public checkout.

Path Parameters

shortcode*string

Response Body

application/json

application/json

curl -X GET https://sandbox.505pay.link/v1/public/payments/intents/{shortcode} \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json"
{}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}

Was this page helpful?